papakay

papakay

Hello, please i’m having issue deploying to a digitalocean droplet (Ubuntu 16.04.3).

Please find below the error details:

Output of the command is shown above and the command executed
on that host is printed below for debugging purposes:

FAILED with exit status 255:

    current_shell="$0" || :
    [ -z "$current_shell" ] && current_shell="$SHELL"
    case "$current_shell" in
      (*bash*) echo 'bash is installed and the default shell'  ;;
      (*zsh*)  echo  'zsh is installed and the default shell'  ;;
      (*)
       echo
       echo "You are using an unsupported shell: '$current_shell'"
       echo "edeliver requires either bash or zsh to be installed"
       echo "and the default shell for the build user 'kehinde'"
       echo "on your build host: '46.101.30.23'."
       exit 1
       ;;
    esac
    set -e
    if [ ! -d /home/kehinde/app_name/builds ]
    then
      mkdir -p /home/kehinde/app_name/builds
      cd /home/kehinde/app_name/builds
      git init
      git config receive.denyCurrentBranch ignore
    else
      cd /home/kehinde/app_name/builds
      git config receive.denyCurrentBranch ignore
    fi

Showing Posts 1 to 10

papakay

papakay OP

# /etc/shells: valid login shells
/bin/sh
/bin/dash
/bin/bash
/bin/rbash
/usr/bin/tmux
/usr/bin/screen
/bin/csh
kokolegorille

kokolegorille

The shell used is the one defined for the user kehinde.

You could get this information on your server with…

$ cat /etc/passwd | grep kehinde

My bet is your deployement user is defined to use /bin/sh :slight_smile:

You can change this with

$ sudo usermod -s /bin/bash kehinde

If You have access to sudo.

papakay

papakay OP

Thanks immensely @kokolegorille.

The output of cat /etc/passwd | grep kehinde

kehinde:x:1001:1001:,,,:/home/kehinde:/bin/bash

I believe this output already shows that the default shell is /bin/bash.

kokolegorille

kokolegorille

Yes it does… the shell used is the last field

papakay

papakay OP

The output of this is

no changes
papakay

papakay OP

Please i’m a little bit curious about the localhost under the authorizing 46.101.30.23 on localhost Does this have anything to do with the error?

-----> Authorizing hosts
Authorizing 46.101.30.23 on localhost:
-----> Ensuring hosts are ready to accept git pushes

A remote command failed on:

  kehinde@46.101.30.23

Output of the command is shown above and the command executed
on that host is printed below for debugging purposes:

FAILED with exit status 255:

    current_shell="$0" || :
    [ -z "$current_shell" ] && current_shell="$SHELL"
    case "$current_shell" in
      (*bash*) echo 'bash is installed and the default shell'  ;;
      (*zsh*)  echo  'zsh is installed and the default shell'  ;;
      (*)
       echo
       echo "You are using an unsupported shell: '$current_shell'"
       echo "edeliver requires either bash or zsh to be installed"
       echo "and the default shell for the build user 'kehinde'"
       echo "on your build host: '46.101.30.23'."
       exit 1
       ;;
    esac
    set -e
    if [ ! -d /home/kehinde/enterprise/builds ]
    then
      mkdir -p /home/kehinde/enterprise/builds
      cd /home/kehinde/enterprise/builds
      git init
      git config receive.denyCurrentBranch ignore
    else
      cd /home/kehinde/enterprise/builds
      git config receive.denyCurrentBranch ignore
    fi
kokolegorille

kokolegorille

I am sorry, I have little experience with edeliver as I deploy manually.

But what I can tell is the user shell is ok, that would mean the rest is in error.

I cannot really help You, but I would try to run each commands separately, to check which one is failing.

alexandrubagu

alexandrubagu

Do you have git installed ? Edeliver adds your build machine as remote and uses the ssh protocol to push the source code of your app there. you can check that by running git remote -v show in you project directory after building on the build host. It shows something like that:

$ git remote -v show
$BUILD_USER@$BUILD_HOST $BUILD_USER@$BUILD_HOST:$BUILD_AT (fetch)
$BUILD_USER@$BUILD_HOST $BUILD_USER@$BUILD_HOST:$BUILD_AT (push)
origin git@your_remote(fetch)
origin git@your_remote(push)
papakay

papakay OP

papakay

papakay OP

Thanks so much @alexandrubagu. Yes i have git installed on the build host. Please see below the output of the command.

$ git remote -v show
kehinde@46.101.30.23	kehinde@46.101.30.23:/home/kehinde/enterprise/builds (fetch)
kehinde@46.101.30.23	kehinde@46.101.30.23:/home/kehinde/enterprise/builds (push)
origin	https://kehindealabi@bitbucket.org/afribary_dev/enterprise.git (fetch)
origin	https://kehindealabi@bitbucket.org/afribary_dev/enterprise.git (push)

Where Next? Top

Trending in Questions Top

RSP87
I’m working on a project that simulates the bumbl example in the programming phoenix book. It acts almost like an email client. We have a...
New
nseaSeb
Hello, I know there is an approach for handling lists that allows for optimized traversal, but I can’t recall the specific method (somet...
New
RemyXRenard
I’m seeing that a list inside a Kino.DataTable will be interpreted as a charlist, even if the Kino.configure() is set to charlists: :as_l...
New
brecabral
Documentation While reading the Scoped Routes section, I noticed that the documentation currently refers to a problem without explainin...
New
velrest
So my question is quite simple and i have found no conclusive answer on forum, google or AI. Should we use :erlang.float for Integer to ...
New
samoloth
Hi, I’ve just set up an application with ash_authentication. There is only magic link strategy for now, so there is no confirmation add o...
New
FlyingNoodle
If a change or preparation module uses Ash.Changeset.get_argument/2 or Ash.Query.get_argument/2 (or any of the other get_argument functio...
New

Other Trending Topics Top

mudasobwa
I am happy to introduce the very α version of the new programming language compiled to BEAM. Welcome Cure. It has literally three kille...
New
marciok
Hi there! We created Gust: A task orchestrator inspired by Airflow. For those who have never heard about Aiflow, it’s a Python-based wor...
New
mhanberg
Hi everyone! The first release candidate for the Expert language server project is now available! We’ve published a press release detai...
New
jimsynz
Beam Bots (or just BB for short) is a framework for building fault-tolerant robotics applications in Elixir using familiar OTP patterns. ...
New
Dmk
Xamal is a deployment tool for Elixir apps that deploys native releases to bare metal servers over SSH. It’s a port of GitHub - basecamp/...
New
netoum
Corex is an accessible, unstyled UI component library for Phoenix that integrates Zag.js state machines using Vanilla JavaScript and Live...
New

We're in Beta

About us Mission Statement

Options

Thread Display Mode




Thread Preview

Skip Thread Previews